Bug 5199 - Input mode functions not available on PyMaemo or PyGTK
: Input mode functions not available on PyMaemo or PyGTK
Status: RESOLVED FIXED
Product: PyMaemo
General
: unspecified
: All Linux
: High normal (vote)
: ---
Assigned To: renato filho
: general
:
:
:
:
  Show dependency tree
 
Reported: 2009-09-25 17:15 UTC by Joaquim Rocha
Modified: 2009-10-08 22:30 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Joaquim Rocha (reporter) 2009-09-25 17:15:11 UTC
SOFTWARE VERSION:
PyMaemo Fremantle

STEPS TO REPRODUCE THE PROBLEM:
Create a GTK+ or Hildon Entry and assign an input mode to it:
entry = hildon.Entry(gtk.HILDON_FINGER_SIZE)
entry.set_input_mode(gtk.HILDON_GTK_INPUT_MODE_NUMERIC)

EXPECTED OUTCOME:
Entry gets assigned an input mode.

ACTUAL OUTCOME:
The mentioned function doesn't exist in the API.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.14)
Gecko/2009090216 Ubuntu/9.04 (jaunty) Firefox/3.0.14
Comment 1 Daniel Martin Yerga 2009-10-01 21:02:37 UTC
As a possible workaround you can use: 
entry.set_property("hildon-input-mode", gtk.HILDON_GTK_INPUT_MODE_NUMERIC)
Comment 2 renato filho 2009-10-08 22:30:50 UTC
Fixed on revision 1365.